CREATE procedure [C6MartPeriodico].[CRUSCOTTOTRIMESTRALE_FILE_test]
AS
BEGIN
	DECLARE @dt AS DATETIME
	DECLARE @dt2 AS DATETIME
	DECLARE @QUANTI AS INT
	DECLARE @APP AS varchar(100)
	declare @ooo as VARCHAR (2000)
	SET @ooo = ''
	set @ooo =  @ooo  + '\r\n' +   '**********************************************************************'
    SELECT @dt =  min(dtstamp)  from C6MartPeriodico.CRUSCOTTO_CONTRATTISEI WHERE dtstamp is not null 
    SELECT @dt2 = max(dtstamp)  from C6MartPeriodico.CRUSCOTTO_CONTRATTISEI WHERE dtstamp is not null 
    -- FC 02/03/2015 Aggiornamento Convert 
    set @APP =   'DataInizio ' + convert(varchar,@dt,120)
    IF (SELECT COUNT(*) from C6MartPeriodico.CRUSCOTTO_CONTRATTISEI WHERE elab in(0,1,2,3)) = 0    
          SET @APP = @APP + ' tempo totale di elaborazione '
     ELSE  
          SET @APP = @APP + ' tempo parziale di elaborazione '        
    SET @APP = @APP + convert(VARCHAR,DATEADD(millisecond,DATEDIFF(millisecond,@dt,getdate()), convert(varchar,@dt,102)) ,108) 
    IF @APP IS NULL   SET @APP = 'STANDBY'  
    set @ooo = @ooo + '\r\n '  +   @APP
	set @ooo = @ooo + '\r\n '  +  '**********************************************************************'
    set @ooo = @ooo + '\r\n '  + '**********************************************************************'
    SELECT @QUANTI = COUNT(*) from C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where elab in(0,1,2)    
    set @ooo = @ooo + '\r\n '  +  'daElaborare						' + convert(VARCHAR,@QUANTI)
    SELECT @QUANTI = COUNT(*)  from C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where elab=3  
    set @ooo = @ooo + '\r\n '  +  'inElaborazione					' + convert(VARCHAR,@QUANTI)
    SELECT @QUANTI = COUNT(*) from C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where elab=10  
    set @ooo = @ooo + '\r\n '  +  'Elaborati						' + convert(VARCHAR,@QUANTI)   
    SELECT @QUANTI = COUNT(*) from C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where elab=-1   
    set @ooo = @ooo + '\r\n '  +  'noElaborabili  ( Scartati-1 )	' + convert(VARCHAR,@QUANTI)
    SELECT @QUANTI = COUNT(*) from C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where elab=4   
    set @ooo = @ooo + '\r\n '  +  'Da NON Elaborare				' + convert(VARCHAR,@QUANTI)       
    SELECT @QUANTI = COUNT(*)  FROM [C6MartPeriodico].[CRUSCOTTO_SCARTI_PDFGENERATOR]   
    set @ooo = @ooo + '\r\n '  +  'ScartatiTAB						' + convert(VARCHAR,@QUANTI)
    set @ooo = @ooo + '\r\n '  + '**********************************************************************' 
    SELECT @QUANTI = COUNT(*) from C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where elab=-2 
    set @ooo = @ooo + '\r\n '  +  'Scartati-2       ' + convert(VARCHAR,@QUANTI)
    SELECT @QUANTI = COUNT(*) from C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where elab=-3 
    set @ooo = @ooo + '\r\n '  +  'Scartati-3       ' + convert(VARCHAR,@QUANTI)
    SELECT @QUANTI = COUNT(*) from C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where elab<-3 
    set @ooo = @ooo + '\r\n '  +  'Scartati-n       ' + convert(VARCHAR,@QUANTI)   
        set @ooo = @ooo + '\r\n '  + '**********************************************************************'    
	SELECT @QUANTI =  count(*)  FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab =10 and tipocliente = 0 and isdiagnosi = -1
	set @ooo = @ooo + '\r\n '  + 'Old               ' + convert(VARCHAR,@QUANTI)  
	SELECT @QUANTI = count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab =10 and tipocliente = 0 and isdiagnosi > -1
	set @ooo = @ooo + '\r\n '  + 'Old con diagnosi  ' + convert(VARCHAR,@QUANTI)
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab =10 and tipocliente = 1 
	set @ooo = @ooo + '\r\n '  + 'Affluent          ' + convert(VARCHAR,@QUANTI) 
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab =10 and tipocliente = 2  
	set @ooo = @ooo + '\r\n '  + 'Private           ' + convert(VARCHAR,@QUANTI)
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab =10 
	set @ooo = @ooo + '\r\n '  + 'ELABORATI ********   ' + convert(VARCHAR,@QUANTI)
	SELECT @QUANTI =  count(*)  FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab =3 and tipocliente = 0 and isdiagnosi = -1
	set @ooo = @ooo + '\r\n '  + 'Old               ' + convert(VARCHAR,@QUANTI)  
	SELECT @QUANTI = count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab =3 and tipocliente = 0 and isdiagnosi > -1 
	set @ooo = @ooo + '\r\n '  + 'Old con diagnosi  ' + convert(VARCHAR,@QUANTI)
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab =3 and tipocliente = 1 
	set @ooo = @ooo + '\r\n '  + 'Affluent          ' + convert(VARCHAR,@QUANTI) 
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab =3 and tipocliente = 2  
	set @ooo = @ooo + '\r\n '  + 'Private           ' + convert(VARCHAR,@QUANTI)
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab =3 
	set @ooo = @ooo + '\r\n '  + 'IN ELABORAZIONE ********   ' + convert(VARCHAR,@QUANTI)	
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab =-2 and tipocliente = 0 and isdiagnosi = -1
	set @ooo = @ooo + '\r\n '  + 'Old               ' + convert(VARCHAR,@QUANTI)
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab =-2and tipocliente = 0 and isdiagnosi > -1
	set @ooo = @ooo + '\r\n '  + 'Old con diagnosi  ' + convert(VARCHAR,@QUANTI)
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab =-2 and tipocliente = 1  
	set @ooo = @ooo + '\r\n '  + 'Affluent          ' + convert(VARCHAR,@QUANTI)
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab =-2 and tipocliente = 2  
	set @ooo = @ooo + '\r\n '  + 'Private           ' + convert(VARCHAR,@QUANTI)
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab =-2
	set @ooo = @ooo + '\r\n '  + 'SCARTATI-2 *******   ' + convert(VARCHAR,@QUANTI)
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab =-3 and tipocliente = 0 and isdiagnosi = -1
	set @ooo = @ooo + '\r\n '  + 'Old               ' + convert(VARCHAR,@QUANTI)
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab =-3 and tipocliente = 0 and isdiagnosi > -1
	set @ooo = @ooo + '\r\n '  + 'Old con diagnosi  ' + convert(VARCHAR,@QUANTI)
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab =-3 and tipocliente = 1  
	set @ooo = @ooo + '\r\n '  + 'Affluent          ' + convert(VARCHAR,@QUANTI)
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab =-3 and tipocliente = 2  
	set @ooo = @ooo + '\r\n '  + 'Private           ' + convert(VARCHAR,@QUANTI)
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab =-3
	set @ooo = @ooo + '\r\n '  + 'SCARTATI-3 *******   ' + convert(VARCHAR,@QUANTI)
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab <-3 and tipocliente = 0 and isdiagnosi = -1
	set @ooo = @ooo + '\r\n '  + 'Old               ' + convert(VARCHAR,@QUANTI)
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab <-3 and tipocliente = 0 and isdiagnosi > -1
	set @ooo = @ooo + '\r\n '  + 'Old con diagnosi  ' + convert(VARCHAR,@QUANTI)
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab <-3 and tipocliente = 1  
	set @ooo = @ooo + '\r\n '  + 'Affluent          ' + convert(VARCHAR,@QUANTI)
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab <-3 and tipocliente = 2  
	set @ooo = @ooo + '\r\n '  + 'Private           ' + convert(VARCHAR,@QUANTI)
	SELECT  @QUANTI =  count(*) FROM C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where  elab <-3
	set @ooo = @ooo + '\r\n '  + 'SCARTATI-n *******   ' + convert(VARCHAR,@QUANTI)
    set @ooo = @ooo + '\r\n '  +  '**********************************************************************'
    set @ooo = @ooo + '\r\n '  +  'ELAB 0 DA ELABORARE PRIORITA ALTA'--[C6MartPeriodico].[CRUSCOTTOTRIMESTRALE]
	set @ooo = @ooo + '\r\n '  +  'ELAB 1 DA ELABORARE PRIORITA MEDIA'
	set @ooo = @ooo + '\r\n '  +  'ELAB 2 DA ELABORARE PRIORITA NORMALE'
	set @ooo = @ooo + '\r\n '  +  'ELAB 3 IN ELABORAZIONE'
	set @ooo = @ooo + '\r\n '  +  'ELAB 4 IN BLACKLIST'
	set @ooo = @ooo + '\r\n '  +  'ELAB 10 ELABORATO'
	set @ooo = @ooo + '\r\n '  +  'ELAB -1 SCARTO DA DATATHREAD'
	set @ooo = @ooo + '\r\n '  +  'ELAB -2 ERRORE APPLICATIVO'
	set @ooo = @ooo + '\r\n '  +  'ELAB -3 ERRORE APPLICATIVO generatorpdf'
	set @ooo = @ooo + '\r\n '  +  'ELAB < -3 ERRORE APPLICATIVO non assegnati'
	set @ooo = @ooo + '\r\n '  +  '**********************************************************************'
     SELECT @ooo, COUNT(*) from C6MartPeriodico.CRUSCOTTO_CONTRATTISEI where elab in(0,1,2)
END